Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.property
Interface PropertyFactory

All Known Implementing Classes:
  BasicPropertyFactory, SystemPropertyFactory

    @ThreadSafe
    public interface PropertyFactory

A factory for creating `Property` objects.

Method Summary
`Property` | `create(Name name, Iterable<?> values)` Create a property with the supplied name and values
`Property` | `create(Name name, Iterator<?> values)` Create a property with the supplied name and values
`Property` | `create(Name name, Object... values)` Create a property with the supplied name and values
`Property` | `create(Name name, Path value)` Create a property with the supplied name and `Path` value.
`Property` | `create(Name name, PropertyType desiredType, Iterable<?> values)` Create a property with the supplied name and values
`Property` | `create(Name name, PropertyType desiredType, Iterator<?> values)` Create a property with the supplied name and values
`Property` | `create(Name name, PropertyType desiredType, Object... values)` Create a property with the supplied name and values

Method Detail

### create

    Property create(Name name,
                    Object... values)

  Create a property with the supplied name and values

  Parameters:
    `name` - the property name; may not be null
    `values` - the values
  Returns:
    the resulting property

### create

    Property create(Name name,
                    Iterable<?> values)

  Create a property with the supplied name and values

  Parameters:
    `name` - the property name; may not be null
    `values` - the values
  Returns:
    the resulting property

### create

    Property create(Name name,
                    Iterator<?> values)

  Create a property with the supplied name and values

  Parameters:
    `name` - the property name; may not be null
    `values` - the values
  Returns:
    the resulting property

### create

    Property create(Name name,
                    PropertyType desiredType,
                    Object... values)

  Create a property with the supplied name and values

  Parameters:
    `name` - the property name; may not be null
    `desiredType` - the type that the objects should be converted to; if null, they will be used as is
    `values` - the values
  Returns:
    the resulting property

### create

    Property create(Name name,
                    PropertyType desiredType,
                    Iterable<?> values)

  Create a property with the supplied name and values

  Parameters:
    `name` - the property name; may not be null
    `desiredType` - the type that the objects should be converted to; if null, they will be used as is
    `values` - the values
  Returns:
    the resulting property

### create

    Property create(Name name,
                    PropertyType desiredType,
                    Iterator<?> values)

  Create a property with the supplied name and values

  Parameters:
    `name` - the property name; may not be null
    `desiredType` - the type that the objects should be converted to; if null, they will be used as is
    `values` - the values
  Returns:
    the resulting property

### create

    Property create(Name name,
                    Path value)

  Create a property with the supplied name and `Path` value. This method is provided because Path implements Iterable<Segment>.

  Parameters:
    `name` - the property name; may not be null
    `value` - the path value
  Returns:
    the resulting property

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.